control_rancid(1)

NAME
control_rancid - run rancid for devices of a group

SYNOPSIS
control_rancid [-V] [-f config_file] [-m mail_rcpt] [-r device_name] group

DESCRIPTION
control_rancid is a sh(1) script to parse a group's router.db(5), run rancid for each of the devices, possibly re-run rancid for devices that failed collection, e-mail diffs, and e-mail error reports.

control_rancid also creates and/or re-creates the .cvsignore/.gitignore files for each group. For the configs sub-directory, it includes ".old", where a user may keep files they would like to be ignored.

The command-line options are as follows:

-V  Prints package name and version strings.

-f group_config_file
    Specify an alternative rancid.conf. The global rancid.conf file is read by rancid-run, which calls control_rancid for each group, and control_rancid reads the group-specific rancid.conf, thereby overriding the global file.

    The group-specific rancid.conf may not exist.

    Default: <BASEDIR>/<group>/rancid.conf

-m mail_rcpt
    Specify the recipient of diff mail, which is normally rancid-<group>. The argument may be a single address, multiple comma separated addresses, or -m may be specified multiple times.

-r device_name
    Specify the name, as it appears in the router.db, of a particular device to collect and generate diffs for. The device must be marked "up".

    The -r option alters the subject line of the diff mail. It will begin with <group name>/<device name> rather than just the group name alone.

control_rancid is normally (and best) run via rancid-run(1) which provides a locking mechanism on a group basis and saves output in a log file for each group.

SEE ALSO
rancid-run(1), rancid.conf(5), router.db(5)